﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_CheckButton
    {

        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {
            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 3; //counter
            int i1;
            String optionvalue;


            //ret[0] = "GtkButton";
            ret[0] = "          <widget class=\"GtkCheckButton\" id=\"" + widgetname + "\">";

            ret[1] = "		    <property name=\"visible\">True</property>";
            ret[2] = "		    <property name=\"draw_indicator\">True</property>";

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Text = "))
                {
                    i1 = theform[i].IndexOf("= \"") + 3;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <property name=\"label\" translatable=\"yes\">" + optionvalue + "</property>";
                    rc++;
                    //break;
                }
                if (theform[i].Contains("this." + widgetname + ".Checked = "))
                {
                    i1 = theform[i].IndexOf("= ") + 2;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 1);
                    optionvalue = optionvalue.Replace("true" , "True");
                    optionvalue = optionvalue.Replace("false", "False");
                    ret[rc] = "            <property name=\"active\">" + optionvalue + "</property>";
                    rc++;
                    //break;
                }
            }
            //-- find eventhandler (there may be more in fact)--
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".CheckedChanged "))
                {
                    i1 = theform[i].IndexOf("(this.") + 6;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <signal name=\"toggled\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                    rc++;
                    break;
                }
            }
            return ret;

        }


    }
}
