﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_LinkLabel
    {

        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {
            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 4; //counter
            int i1;
            String optionvalue;


            ret[0] = "          <widget class=\"GtkLinkButton\" id=\"" + widgetname + "\">";

            ret[1] = "		    <property name=\"visible\">True</property>";
            ret[2] = "          <property name=\"uri\">http://glade.gnome.org</property>";
            ret[3] = "          <property name=\"relief\">GTK_RELIEF_NONE</property>";

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Text = "))
                {
                    i1 = theform[i].IndexOf("= \"") + 3;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <property name=\"label\" translatable=\"yes\">" + optionvalue + "</property>";
                    rc++;
                    break;
                }

            }
            //-- find eventhandler (there may be more in fact)--
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".LinkClicked "))
                {
                    i1 = theform[i].IndexOf("(this.") + 6;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);

                    ret[rc] = "            <signal name=\"activate\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                    rc++;
                    break;
                }
            }
            return ret;

        }


    }
}
