﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_SplitContainer
    {

        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {
            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 2; //counter
            int i1;
            String optionvalue;


            ret[0] = "          <widget class=\"GtkHPaned\" id=\"" + widgetname + "\">";

            ret[1] = "		    <property name=\"visible\">True</property>";

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".SplitterDistance = "))
                {
                    i1 = theform[i].IndexOf("= ") + 2;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 1);
                    ret[rc] = "            <property name=\"position\">" + optionvalue + "</property>";
                    rc++;
                    break;
                }
            }
            //-- find eventhandler (there may be more in fact)--
            for (int i = 0; i < theform.Length; i++)
            {
                /*
                if (theform[i].Contains("this." + widgetname + ".Location ="))
                {
                    pos = get_pos(theform[i]);

                    new_elements_chains.add("-- (new) --> " + widgetname + " ( " + pos + ") --> " + widgetname + ".Panel1");
                }
                */
                if (theform[i].Contains("this." + widgetname + ".SplitterMoved "))
                {
                    i1 = theform[i].IndexOf("(this.") + 6;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <signal name=\"move_handle\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                    rc++;
                    //break;
                }
            }
            return ret;

        }
    }
}
