﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_TextBox
    {

        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {

            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 2; //counter
            int i1;
            String optionvalue;

            //-- must check here, if entry or textview --

            //ret[0] = "GtkEntry";
            ret[0] = "          <widget class=\"GtkEntry\" id=\"" + widgetname + "\">";

            ret[1] = "		    <property name=\"visible\">True</property>";
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Multiline = true;"))
                {
                    //ret[0] = "GtkTextView";
                    ret[0] = "          <widget class=\"GtkTextView\" id=\"" + widgetname + "\">";

                    break;
                }
            }

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Text = "))
                {
                    i1 = theform[i].IndexOf("= \"") + 3;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <property name=\"text\" translatable=\"yes\">" + optionvalue + "</property>";
                    rc++;
                    break;
                }
            }

            //-- find eventhandler (there may be more in fact)--
            // TextChanged only available for entry!
            if (ret[0].Equals("GtkEntry"))
            {
                for (int i = 0; i < theform.Length; i++)
                {
                    if (theform[i].Contains("this." + widgetname + ".TextChanged "))
                    {
                        i1 = theform[i].IndexOf("(this.") + 6;
                        optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                        ret[rc] = "            <signal name=\"changed\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                        rc++;
                        break;
                    }
                }
            }


            return ret;

        }
    }
}
