﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharp2vala
{
    public partial class Form1 : Form
    {


        public String projectFolder;
        //public String projectName;
        public String outPath;

        Class1 myclass1;
        Class2 myclass2;
        Convertproject conv;

        //-- a wrapper class for file related methods --
        private FileFunctions FF = new FileFunctions();

        public Form1()
        {

            projectFolder = "/root/testprojects/WindowsFormsApplication1";
            outPath = "/root/testprojects/WindowsFormsApplication1/valaout";

            if (FF.isWindows())
            {
                projectFolder = "C:/testprojects/WindowsFormsApplication1";
                outPath = "C:/testprojects/WindowsFormsApplication1/valaout";
            }

            InitializeComponent();
            myclass1 = new Class1();
            myclass2 = new Class2();
            conv = new Convertproject();
        }

        public void set_project_from_rc()
        {
            String myString = FF.load_rc(".csharp2vala/currentproject.rc");
            if(myString.Equals("")){
                set_project();
                return;
            }
            Program.form1.projectFolder = FF.dirname(myString);
            FF.log(Program.form1.projectFolder);
            set_project();
        }


        public void set_project(){
            textBox1.Text = get_projectfolder() + "/" + get_projectname() + ".sln";
            //FF.log("----> " + get_projectfolder());
            Program.form1.outPath = get_projectfolder() + "/valaout";
            //FF.log("----> " + Program.form1.outPath);
        }

        public String get_projectfolder(){
            return Program.form1.projectFolder;
        }
        public String get_projectname()
        {
            String projectName = FF.GetFileName(projectFolder);
            return projectName;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            //myclass1.mytest();
            conv.start();
        }


        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (Program.showcomments == false)
            {
                Program.showcomments = true;
            }else{
                Program.showcomments = false;            
            }

        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {
            /*
            if (Program.compilerun == false)
            {
                Program.compilerun = true;
            }
            else
            {
                Program.compilerun = false;
            }
             */
        }

        private void button2_Click(object sender, EventArgs e)
        {

            FF.log("");

            FF.log("Starting IDE with: " + Program.form1.outPath + "/" + Program.form1.get_projectname() + ".vide");
            FF.RunCommand("valide", "\"" + Program.form1.outPath + "/" + Program.form1.get_projectname() + ".vide\"", 0);

        }

        private void button3_Click(object sender, EventArgs e)
        {
            FF.log("");
            FF.log("Starting Glade with: " + Program.form1.outPath + "/project.glade");
            if(FF.isWindows()){
                FF.RunCommand("C:/glade-3.4.3-win32-1/bin/glade-3", "\"" + Program.form1.outPath + "/project.glade\"", 0);
            }else{
                FF.RunCommand("glade", "\"" + Program.form1.outPath + "/project.glade\"", 0);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {

            
            //-- the dialog is defined in the formbuilder --
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {

                Program.form1.projectFolder = FF.dirname(openFileDialog1.FileName);
                Program.form1.projectFolder = Program.form1.projectFolder.Replace("\\", "/");

                Program.form1.set_project();
                FF.save_rc(".csharp2vala/currentproject.rc", openFileDialog1.FileName);
                
            }

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }


    }
}
