﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_GroupBox
    {
        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {
            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 4; //counter
            int i1;
            String optionvalue;

            ret[0] = "          <widget class=\"GtkFrame\" id=\"CONTAINER_" + widgetname + "\">";

            ret[1] = "		    <property name=\"visible\">True</property>";
            ret[2] = "		    <property name=\"label_xalign\">0</property>";
            ret[3] = "		    <property name=\"shadow_type\">GTK_SHADOW_ETCHED_IN</property>";

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Text = "))
                {
                    i1 = theform[i].IndexOf("= \"") + 3;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <child>";
                    rc++;
                    ret[rc] = "              <widget class=\"GtkAlignment\" id=\"" + widgetname + "alignment\">";
                    rc++;
                    ret[rc] = "                <property name=\"visible\">True</property>";
                    rc++;
                    ret[rc] = "                <property name=\"left_padding\">12</property>";
                    rc++;
                    ret[rc] = "                <child>";
                    rc++;
                    ret[rc] = "                  <widget class=\"GtkFixed\" id=\"" + widgetname + "\">";
                    rc++;
					ret[rc] = "                    <property name=\"visible\">True</property>";
                    rc++;
					
                    ret[rc] = "--MARKER--";
                    rc++;
                    ret[rc] = "                  </widget>";
                    rc++;
                    ret[rc] = "                </child>";
                    rc++;
                    ret[rc] = "              </widget>";
                    rc++;
                    ret[rc] = "            </child>";
                    rc++;
                    ret[rc] = "            <child>";
                    rc++;
                    ret[rc] = "              <widget class=\"GtkLabel\" id=\"" + widgetname + "alignmentlabel" + "\">";
                    rc++;
                    ret[rc] = "                <property name=\"visible\">True</property>";
                    rc++;
                    ret[rc] = "                <property name=\"label\" translatable=\"yes\">&lt;b&gt;" + optionvalue + "&lt;/b&gt;</property>";
                    rc++;
                    ret[rc] = "                <property name=\"use_markup\">True</property>";
                    rc++;
                    ret[rc] = "              </widget>";
                    rc++;
                    ret[rc] = "              <packing>";
                    rc++;
                    ret[rc] = "                <property name=\"type\">label_item</property>";
                    rc++;
                    ret[rc] = "              </packing>";
                    rc++;
                    ret[rc] = "            </child>";
                    rc++;
                    //ret[rc] = "";
                    //rc++;



                    ret[rc] = "            <property name=\"label\" translatable=\"yes\">" + optionvalue + "</property>";
                    rc++;

                    ret[rc] = "            </widget>";
                    rc++;
                    //ret[rc] = "            </child>";
                    //rc++;

                    break;
                }
            }
            //-- find eventhandler (there may be more in fact)--
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Enter "))
                {
                    i1 = theform[i].IndexOf("(this.") + 6;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <signal name=\"enter_notify_event\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                    rc++;
                    break;
                }
            }
            return ret;

        }

    }
}
