﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace csharp2vala
{
    class Glade_PictureBox
    {


        public String[] gen_XML(String widgetname, String[] theform, String thenamespace)
        {
            String[] ret = new String[30];

            for (int i = 0; i < ret.Length; i++)
            {
                ret[i] = "";
            }
            int rc = 2; //counter
            int i1;
            String optionvalue;

            ret[0] = "          <widget class=\"GtkEventBox\" id=\"eventbox_" + widgetname + "\">";
            ret[1] = "            <property name=\"visible\">True</property>";

            //-- find eventhandler (there may be more in fact)--
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Click "))
                {
                    i1 = theform[i].IndexOf("(this.") + 6;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <signal name=\"button_release_event\" handler=\"" + thenamespace + "_" + optionvalue + "\"/>";
                    rc++;
                    break;
                }
            }

            ret[rc] = "            <child>";
            rc++;
            ret[rc] = "              <widget class=\"GtkImage\" id=\"" + widgetname + "\">";
            rc++;
            ret[rc] = "		        <property name=\"visible\">True</property>";
            rc++;

            //-- find label --
            for (int i = 0; i < theform.Length; i++)
            {
                if (theform[i].Contains("this." + widgetname + ".Image = "))
                {
                    i1 = theform[i].IndexOf("= \"") + 3;
                    optionvalue = theform[i].Substring(i1, theform[i].Length - i1 - 2);
                    ret[rc] = "            <property name=\"pixbuf\">XXXXX.png</property>";
                    rc++;
                    break;
                }
            }
            ret[rc] = "              </widget>";
            rc++;
            ret[rc] = "		        </child>";
            rc++;




            return ret;

        }
    }
}
